<?php

function lists($atts, $content) {
	extract(shortcode_atts(array(
		'type' => '',
		'color' => ''
		), $atts));

	$color = ' '.$color.'_list';
	return str_replace('<ul>', '<ul class="'.$type.$color.'">', wpautop(do_shortcode($content)));
			
	}

add_shortcode('list', 'lists');
?>